• kiwi74

      Participez au plus fabuleux des rassemblements astro !!!   11/06/2018

      Venez vivre quelques jours avec les membres de votre forum favori aux Estivales de Webastro. Il vous reste quelques jours pour vous inscrire !   Pour plus de renseignements, cliquez sur le lien suivant : http://estivales.webastro.net   Si vous avez des questions, venez en discuter ici :    
viloque

Stellarium et Ubuntu

Messages recommandés

Bonjour.

J'ai installé tour à tour la 16.04 LTS et Xubuntu 16.04 ( avec laquelle j'écris en ce moment) en dual boot avec Vista 32 bits sur mon vieux PC avec 2 Go de Ram et 20 Go pour la distrib. Veux rien savoir sur cette distrib.

 

J'ai bien ouvert stellarium sur ubuntu, avec la ligne "LIBGL_ALWAYS_SOFTWARE=1 stellarium", avec la conf de Vista et tous les catalogues téléchargés, mais c'est lent et haché...

Quand je clique sur l'icône de la logithèque, j'ai l'info "version opengl trop ancienne". J'ai bien tenté de mettre à jour avec aussi la version de la carte graphique.

Là, je jette l'éponge, et je vous soumet (un peu en vrac :confused: ) tous mes (longs) essais effectués sur ubuntu, désolé pour la longueur :confused: .

 

Detected: OpenGL "3.0"

Driver version string: "3.0 Mesa 17.0.7"

 

sudo apt-get install mesa-utils

mesa-utils is already the newest version (8.3.0-1)

 

glxinfo | grep -i opengl

OpenGL vendor string: Intel Open Source Technology Center

OpenGL renderer string: Mesa DRI Intel® 945GM x86/MMX/SSE2

OpenGL version string: 1.4 Mesa 17.0.7

OpenGL extensions:

OpenGL ES profile version string: OpenGL ES 2.0 Mesa 17.0.7

OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

OpenGL ES profile extensions:

 

viloque@viloque-Aspire-9410:~$ sudo lshw -enable pci -class display

*-display:0

description: VGA compatible controller

produit: Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller

fabriquant: Intel Corporation

identifiant matériel: 2

information bus: pci@0000:00:02.0

version: 03

bits: 32 bits

horloge: 33MHz

fonctionnalités: msi pm vga_controller bus_master cap_list rom

configuration: driver=i915 latency=0

ressources: irq:16 mémoire:dc100000-dc17ffff portE/S:1800(taille=8) mémoire:c0000000-cfffffff mémoire:dc200000-dc23ffff

*-display:1 NON-RÉCLAMÉ

description: Display controller

produit: Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller

fabriquant: Intel Corporation

identifiant matériel: 2.1

information bus: pci@0000:00:02.1

version: 03

bits: 32 bits

horloge: 33MHz

fonctionnalités: pm bus_master cap_list

configuration: latency=0

ressources: mémoire:dc180000-dc1fffff

viloque@viloque-Aspire-9410:~$

 

viloque@viloque-Aspire-9410:~$ glxinfo | grep rendering

direct rendering: Yes

viloque@viloque-Aspire-9410:~$

 

Intel 945GM frames 4.014 FPS 0.802 mna

 

 

Intel® Graphics Driver - Linux* [intel-3.4.3006-20051209.i386.tar.gz]

Version: 3.4.3006 (Previously Released) Date: 1/5/2006

 

Pilote Acer

VGA pilote

Date:

2008/12/08

Version:

7.14.10.1114

Fabricant:

Intel

Taille:

6.4 MB

 

viloque@viloque-Aspire-9410:~$ glxgears

Running synchronized to the vertical refresh. The framerate should be

approximately the same as the monitor refresh rate.

229 frames in 5.0 seconds = 45.652 FPS

260 frames in 5.0 seconds = 51.809 FPS

248 frames in 5.0 seconds = 49.548 FPS

254 frames in 5.0 seconds = 50.737 FPS

XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0"

after 3654 requests (3654 known processed) with 0 events remaining.

viloque@viloque-Aspire-9410:~$

 

viloque@viloque-Aspire-9410:~$ lspci -nnk | egrep -iA3 "VGA"

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)

Subsystem: Acer Incorporated [ALI] Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [1025:0107]

Kernel driver in use: i915

Kernel modules: i915, intelfb

viloque@viloque-Aspire-9410:

 

 

Log de Stellarium:

 

2017-08-23T19:12:12

Linux version 4.4.0-92-generic (buildd@lgw01-15) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4) ) #115-Ubuntu SMP Thu Aug 10 16:02:55 UTC 2017

Compiled using GCC 5.4.0

Qt runtime version: 5.5.1

Qt compilation version: 5.5.1

Addressing mode: 32-bit

MemTotal: 2052648 kB

MemFree: 510932 kB

MemAvailable: 728460 kB

SwapTotal: 1387516 kB

model name : Genuine Intel® CPU T2060 @ 1.60GHz

cpu MHz : 1600.000

model name : Genuine Intel® CPU T2060 @ 1.60GHz

cpu MHz : 800.000

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])

Kernel driver in use: i915

Kernel modules: i915, intelfb

stellarium

-------------------------------------------------------

[ This is Stellarium 0.16.0 - http://www.stellarium.org ]

[ Copyright © 2000-2017 Fabien Chereau et al. ]

-------------------------------------------------------

Writing log file to: "/home/viloque/.stellarium/log.txt"

File search paths:

0 . "/home/viloque/.stellarium"

1 . "/usr/share/stellarium"

Config file is: "/home/viloque/.stellarium/config.ini"

Creating directory "C:/Users/Jean/Pictures/Stellarium"

WARNING: problem while setting screenshot from config file setting: Could not create directory: C:/Users/Jean/Pictures/Stellarium

Default surface format: QSurfaceFormat(version 2.0, options QFlags(), depthBufferSize -1, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior 0, swapInterval 1, profile 0)

Desired surface format: QSurfaceFormat(version 2.1, options QFlags(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior 0, swapInterval 1, profile 0)

StelGLWidget constructor

StelGraphicsScene constructor

initializeGL

OpenGL supported version: "1.4 Mesa 17.0.7"

Current Format: QSurfaceFormat(version 1.4, options QFlags(0x4), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior 0, swapInterval 1, profile 0)

StelMainView::init

Detected: OpenGL "1.4"

Driver version string: "1.4 Mesa 17.0.7"

GL vendor is "Intel Open Source Technology Center"

GL renderer is "Mesa DRI Intel® 945GM x86/MMX/SSE2"

Oops... Insufficient OpenGL version. Please update drivers, or graphics hardware.

 

Merci pour votre réponse.

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour,

Je n'ai pas bien saisi qu'elle était ta question mais je t'apporte mon témoignage :

1/ j'avais un ancien Pentium des années 90 sous XP ; je n'ai jamais pu faire tourner Stellarium pour cette obscur histoire d'Open GL. Jamais résolu.

 

2/ Avec 2 Go de Ram, sous Windows, ça rame dur.

3/ Je suis passé sur un petit notebook Samsung avec 1Go de Ram. J'ai ai tenté plusieurs variantes Linux ultra légères sans trop etre convaincu pour finalement adopter Linux Mint 17

ça tourne sans probleme. (J'ai modifier pour 2 Go de Ram histoire que ça soit plus fluide) Par contre j'ai un bug avec le plugin satellite de la version Stellarium pour linux, qu'on a jamais réussi à solutionner (cf wa)

 

Conclusion : avec Linux, 'faut testé, c'est capriceux... :)

Pat

Partager ce message


Lien à poster
Partager sur d’autres sites

Salut et merci pour ta réponse.

Je tourne aisément avec Mint 18 sur mon autre PC plus récent avec 8 Go de ram.

Je n'ai pas essayé Mint car je le croyais gourmand.

Je peux donc tenter avec Mint 17 ou 18 ?

Partager ce message


Lien à poster
Partager sur d’autres sites
Salut et merci pour ta réponse.

Je tourne aisément avec Mint 18 sur mon autre PC plus récent avec 8 Go de ram.

Je n'ai pas essayé Mint car je le croyais gourmand.

Je peux donc tenter avec Mint 17 ou 18 ?

 

Sur le notebook, j'avais trouver Ubuntu assez lourd. De plus, il y a 50000 "noyaux" ou modules (je ne suis pas spécialiste unix) donc c'est un peu pénible lorsque tu veux faire des modifs...

 

Tu peux toujours tenter une instal' de MINT avec un live-USB :) par contre mieux vaut partir sur un base propre, c'est à dire un formatage du disque...Linux est capricieux au niveau de la gestion des partitions voire du boot :j'ai aussi eu de mauvaises surprises :confused:

 

Le gros avantage du linux c'est qu'il ne consomme en RAM que ce que tu lances ...

Partager ce message


Lien à poster
Partager sur d’autres sites

Avec Linux, il faut partir sur du "propre"; laisser faire la bécane; bien utiliser les outils qui sont fournis (génial le gestionnaire de modules !) et ne surtout pas bidouiller comme on le fait sous Win...sauf à bien maitriser la bete via le terminal.

A bon entendeur, salut :)

Partager ce message


Lien à poster
Partager sur d’autres sites

Il est sûr que 2Go de RAM et un vieux proco mono c'est un juste avec les applis actuelles assez gourmandes en ressources, il peut y avoir un problème de générations... :be:

 

J'ai un PC d'il y a huit ans environ, 8 Go de RAM, un Quad Core, et je n'ai aucun souci , Stellarium tourne nickel quelle que soit la distribution. Mageia, Fedora, Slackware, peu importe la distribution en fait.

 

Je viens de faire un top en console pour voir ce que consommait Stellarium, il me fait plus 22% d'occupation du CPU, pas mal quand même pour un Quad Core Q9650 à 3Gz de fréquence.

Pour peu qu'il y une ou plusieurs tâches en fond, un CPU faiblard ancienne génération peut vite se retrouver à fond et ramer.

 

Ton problème peut venir aussi du chipset graphique obsolète, d'ailleurs en console on te le dit : version OpenGL obsolète, ton chipset doit pouvoir « causer » avec la même version d'OpenGL prévue pour Stellarium.

 

Fais un test en console avec la commande

 

$ grep -i Direct /var/log/Xorg.0.log

 

et aussi

 

$ glxinfo -i | grep render

 

Pour tester GLX sur Ubuntu et forks/dérivés, installer mesa-utils, puis lancer la commande

 

$ glxgears

Si ça rame, c'est qu'en effet Stellarium ramera aussi.

Partager ce message


Lien à poster
Partager sur d’autres sites

@Paradise

 

viloque@viloque-Aspire-9410:~$ grep -i Direct /var/log/Xorg.0.log

[ 32.926] (==) Using system config directory "/usr/share/X11/xorg.conf.d"

[ 32.927] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.

[ 32.927] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.

[ 32.927] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.

[ 32.927] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.

[ 32.927] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.

[ 33.277] (II) intel(0): direct rendering: DRI2 enabled

viloque@viloque-Aspire-9410:~$ glxinfo -i | grep render

X Error of failed request: BadValue (integer parameter out of range for operation)

Major opcode of failed request: 155 (GLX)

Minor opcode of failed request: 24 (X_GLXCreateNewContext)

Value in failed request: 0x0

Serial number of failed request: 42

Current serial number in output stream: 45

viloque@viloque-Aspire-9410:~$ glxgears

Running synchronized to the vertical refresh. The framerate should be

approximately the same as the monitor refresh rate.

294 frames in 5.0 seconds = 58.680 FPS

299 frames in 5.0 seconds = 59.598 FPS

299 frames in 5.0 seconds = 59.691 FPS

299 frames in 5.0 seconds = 59.696 FPS

299 frames in 5.0 seconds = 59.682 FPS

299 frames in 5.0 seconds = 59.693 FPS

299 frames in 5.0 seconds = 59.672 FPS

299 frames in 5.0 seconds = 59.667 FPS

viloque@viloque-Aspire-9410:~$

 

ça n'a pas l'air de ramer, les 3 engrenages tournent bien, sans coupure

Je peux tenter avec mint 17 ou 18, ou une autre :) ?

Partager ce message


Lien à poster
Partager sur d’autres sites

J'ai réussi à le faire tourner avec la ligne "LIBGL_ALWAYS_SOFTWARE=1 stellarium".

Mais bon c'est aussi lent sinon plus qu'avec Ubuntu, d'ailleurs je vais réinstaller ce dernier, auquel je commençais à m'habituer :)

Partager ce message


Lien à poster
Partager sur d’autres sites

Prend Ubuntu Mate tant qu'à faire...

Le bureau est + simple

Partager ce message


Lien à poster
Partager sur d’autres sites
Prend Ubuntu Mate tant qu'à faire...

Le bureau est + simple

 

ça y est, c'est en train :)

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonsoir,

 

Hm, normalement avec Intel y'a rien à faire, les pilotes graphiques sont dans le noyau Linux. Peut-être que la version OpenGL supportée n'est pas suffisante pour Stellarium. La ligne de commandes que tu utilises pour le lancer force un rendu logiciel, autrement dit ce n'est pas la carte graphique qui bosse mais le CPU, normal que ce soit lent :/

 

Réinstaller ne changera rien.

 

Je suis en train de jeter un coup d'oeil à la doc de arch, il y a souvent des trucs intéressants. Sinon une solution peut être de compiler une vieille version de Stellarium.

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonsoir,

 

Hm, normalement avec Intel y'a rien à faire, les pilotes graphiques sont dans le noyau Linux. Peut-être que la version OpenGL supportée n'est pas suffisante pour Stellarium. La ligne de commandes que tu utilises pour le lancer force un rendu logiciel, autrement dit ce n'est pas la carte graphique qui bosse mais le CPU, normal que ce soit lent :/

 

Réinstaller ne changera rien.

 

Je suis en train de jeter un coup d'oeil à la doc de arch, il y a souvent des trucs intéressants. Sinon une solution peut être de compiler une vieille version de Stellarium.

Partager ce message


Lien à poster
Partager sur d’autres sites

Voilà ce que dit la doc de arch :

https://wiki.archlinux.org/index.php/Intel_graphics#OpenGL_2.1_with_i915_driver

 

En gros sur les vieux chipset graphiques Intel qui utilisent le pilote i915, seul OpenGL 1.4 est supporté. La source est donnée ici :

http://www.phoronix.com/scan.php?page=news_item&px=Mesa-i915-OpenGL-2-Drop

 

Ce qui est un peu bizarre c'est que l'article date de début 2017, alors que utilise ubuntu 16.04 qui est sortie avant.

 

Néanmoins sur le wiki de Arch (premier lien) il y a une solution à tester ;)

 

N'empêche Intel 945GM ça remonte à 2005 d'après wikipedia ça commence à dater :D

Partager ce message


Lien à poster
Partager sur d’autres sites

Lorsque les versions 0.13+ tournent lentement, c'est que la combinaison carte graphique / OpenGL a du mal à gérer, peu importe la distrib.

Dans ce cas le plus simple est d'utiliser le ppa de la branche 0.12, qui reste utilisable sur les configs faiblardes.

Évidemment il manque plein de fonctionnalités par rapport à la version 0.16 actuelle, mais ça fait largement le boulot.

 

J'ai la version 0.12.9 sur un petit eeepc de 2010 (1 Go de RAM), et ça tourne parfaitement. C'est mon compagnon de terrain dès que je cherche un astéroïde ou une comète.

Partager ce message


Lien à poster
Partager sur d’autres sites

Je vais dire une bêtise, mais pourquoi pas Kstars ??

Partager ce message


Lien à poster
Partager sur d’autres sites
Je vais dire une bêtise, mais pourquoi pas Kstars ??

 

J'avais pensé aussi, ça fait pas beaucoup ? kstars ekos indi ....:?:

Partager ce message


Lien à poster
Partager sur d’autres sites

Bin ca coute rien d'essayer...

Après tu désinstalles si ce n'est pas bon.

Kstars tourne sur un Raspberry, alors...

 

Et puis c'est dommage de ne pas toucher un peu à Ekos

 

Edit : mon millième message !!

Champagne

Modifié par gehelem

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci à tous

Je vais tenter le lien de francheu

Je vous donne quelques infos que j'ai glané lors de mes essais , notamment le manque de dépendance pour la mise à jour d'opengl avec le logiciel d'intel graphics

 

LIBGL_ALWAYS_SOFTWARE=1 stellarium

 

Detected: OpenGL "3.0"

Driver version string: "3.0 Mesa 17.0.7"

 

sudo apt-get install mesa-utils

mesa-utils is already the newest version (8.3.0-1)

 

glxinfo | grep -i opengl

OpenGL vendor string: Intel Open Source Technology Center

OpenGL renderer string: Mesa DRI Intel® 945GM x86/MMX/SSE2

OpenGL version string: 1.4 Mesa 17.0.7

OpenGL extensions:

OpenGL ES profile version string: OpenGL ES 2.0 Mesa 17.0.7

OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

OpenGL ES profile extensions:

 

viloque@viloque-Aspire-9410:~$ sudo lshw -enable pci -class display

*-display:0

description: VGA compatible controller

produit: Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller

fabriquant: Intel Corporation

identifiant matériel: 2

information bus: pci@0000:00:02.0

version: 03

bits: 32 bits

horloge: 33MHz

fonctionnalités: msi pm vga_controller bus_master cap_list rom

configuration: driver=i915 latency=0

ressources: irq:16 mémoire:dc100000-dc17ffff portE/S:1800(taille=8) mémoire:c0000000-cfffffff mémoire:dc200000-dc23ffff

*-display:1 NON-RÉCLAMÉ

description: Display controller

produit: Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller

fabriquant: Intel Corporation

identifiant matériel: 2.1

information bus: pci@0000:00:02.1

version: 03

bits: 32 bits

horloge: 33MHz

fonctionnalités: pm bus_master cap_list

configuration: latency=0

ressources: mémoire:dc180000-dc1fffff

viloque@viloque-Aspire-9410:~$

 

viloque@viloque-Aspire-9410:~$ glxinfo | grep rendering

direct rendering: Yes

viloque@viloque-Aspire-9410:~$

 

viloque@viloque-Aspire-9410:~$ LIBGL_ALWAYS_SOFTWARE=1 stellarium

-------------------------------------------------------

[ This is Stellarium 0.16.0 - http://www.stellarium.org ]

[ Copyright © 2000-2017 Fabien Chereau et al. ]

-------------------------------------------------------

Writing log file to: "/home/viloque/.stellarium/log.txt"

File search paths:

0 . "/home/viloque/.stellarium"

1 . "/usr/share/stellarium"

Config file is: "/home/viloque/.stellarium/config.ini"

Creating directory "C:/Users/Jean/Pictures/Stellarium"

WARNING: problem while setting screenshot from config file setting: Could not create directory: C:/Users/Jean/Pictures/Stellarium

Default surface format: QSurfaceFormat(version 2.0, options QFlags(), depthBufferSize -1, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior 0, swapInterval 1, profile 0)

Desired surface format: QSurfaceFormat(version 2.1, options QFlags(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior 0, swapInterval 1, profile 0)

StelGLWidget constructor

StelGraphicsScene constructor

initializeGL

OpenGL supported version: "3.0 Mesa 17.0.7"

Current Format: QSurfaceFormat(version 3.0, options QFlags(0x4), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior 0, swapInterval 1, profile 0)

StelMainView::init

Detected: OpenGL "3.0"

Driver version string: "3.0 Mesa 17.0.7"

GL vendor is "VMware, Inc."

GL renderer is "Gallium 0.4 on llvmpipe (LLVM 4.0, 128 bits)"

GL Shading Language version is "1.30"

MESA Version Number detected: 17

Mesa version is fine, we should not see a graphics problem.

GLSL Version Number detected: 1.3

GLSL version is fine, we should not see a graphics problem.

Cache directory is: "/home/viloque/.cache/stellarium/stellarium"

StelLocation::createFromLine(): TimeZone name for "Laure-Minervois" not found. Translating "" to "UTC"

StelLocation::createFromLine(): TimeZone name for "Conques sur Orbiel" not found. Translating "" to "UTC"

Sky language is "fr_FR"

Application language is "fr_FR"

Loading Solar System data (1: planets and moons) ...

Loading from : "/usr/share/stellarium/data/ssystem_major.ini"

Loaded 60 Solar System bodies

Loading Solar System data (2: minor bodies)...

Loading from : "/home/viloque/.stellarium/data/ssystem_minor.ini"

Loaded 98 Solar System bodies

File ssystem_minor.ini is loaded successfully...

Loading star data ...

 

<a href=935322Intelgraphicsupdateavecgdbi.png' a

Partager ce message


Lien à poster
Partager sur d’autres sites
Bin ca coute rien d'essayer...

Après tu désinstalles si ce n'est pas bon.

Kstars tourne sur un Raspberry, alors...

 

Et puis c'est dommage de ne pas toucher un peu à Ekos

 

Edit : mon millième message !!

Champagne

 

Je commençais à me faire la main sur mon second pc mint 18, et piloter ma monture.

Partager ce message


Lien à poster
Partager sur d’autres sites
Je commençais à me faire la main sur mon second pc mint 18, et piloter ma monture.

Oui, insiste un peu : pour les fans du goto, l'astrométrie rend des services de dingue.

Et je ne parle pas de la mise en station (sans caméra supplémentaire type PoleMaster truc), que je n'ai encore pas essayé.

Partager ce message


Lien à poster
Partager sur d’autres sites
Oui, insiste un peu : pour les fans du goto, l'astrométrie rend des services de dingue.

Et je ne parle pas de la mise en station (sans caméra supplémentaire type PoleMaster truc), que je n'ai encore pas essayé.

 

Je sais, je suis tous vos posts :), mais faut du temps...

Partager ce message


Lien à poster
Partager sur d’autres sites

Question ressources, Stellarium ne mange pas trop du CPU, mais surtout de la partie graphique, avec entre 18 et 30 FPS, selon la résolution de l'écran ça peut aussi faire ramer avec un vieux chipset graphique poussif.

 

EDIT : Question distro, à nouveau, qu'importe.

Modifié par paradise

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour, je reviens à la charge, suis têtu, je vais encore vous em...bêter :(

 

J'ai réussi à lancer le logiciel Intel sans le problème de dépendance vu plus haut, sauf que ça va pas au bout

p><p>bon, ça c

sur le coup, j'avais réussi à lancer stellarium sans cette fameuse phrase, mais toujours aussi lent; et après un redémarrage, tout à refaire.

 

ça a quand-même avancé un petit chouia :) , puisque je me suis retrouvé avec ces paquets à installer

mini_436394Intelupgradingerreur3.png

 

là aussi, ça veut pas le faire, je vous livre des captures un peu en vrac de la conf du gestionnaire de maj

p><p><img src=[/img]

 

p><p><img src=[/img]

 

Merci

Partager ce message


Lien à poster
Partager sur d’autres sites

Mais qu'est-ce que tu essaie de faire ? Casser ton système avec des ppa et drivers exotiques ?

Chez Intel tu n'as rien à installer, les drivers sont déjà dans le noyau, surtout pour un chipset graphique aussi vieux que le tiens.

 

https://answers.launchpad.net/stellarium/+faq/2570

 

Graphics cards which are no longer supported by Stellarium 0.13 and later include early ATI/AMD Radeon cards up to and including the Xxxx series (built 2004/05), NVidia up to GeForce FXxxx (2003/04), and Intel GMA before X3000, unfortunately also including the popular Atom-based netbooks of 2010. For such systems, you need the MESA software rendering (circumventing the outdated graphics card on Windows, at cost of very slow performance), or you may use an older version of Stellarium. MESA is also used in many Linux installations, but allows hardware acceleration.

 

Donc continue à lancer le logiciel avec ta ligne de commandes, ou compile une vieille version de Stellarium.

 

Tu peux éventuellement faire un essai depuis un LiveCD de ubuntu 14.04 voire 12.04 ? Tu devrais avoir une version suffisament ancienne de Stellarium.

Partager ce message


Lien à poster
Partager sur d’autres sites

oh te faches pas, je peux pas deviner, j'apprend sur linux

Déjà l'anglais n'est pas mon fort, obligé de traduire.....

 

Les cartes graphiques qui ne sont plus prises en charge par Stellarium 0.13 et versions ultérieures incluent les cartes ATI / AMD Radeon précoces jusqu'à la série Xxxx (construit en 2004/05), NVidia jusqu'à GeForce FXxxx (2003/04) et Intel GMA avant X3000, Malheureusement, y compris les netbooks populaires basés sur Atom de 2010. Pour ces systèmes, vous avez besoin du rendu du logiciel MESA (contournant la carte graphique périmée sur Windows, au coût de performances très lentes), ou vous pouvez utiliser une ancienne version de Stellarium. MESA est également utilisé dans de nombreuses installations Linux, mais permet une accélération matérielle.

 

Si j'avais sû dès le début

Partager ce message


Lien à poster
Partager sur d’autres sites
oh te faches pas, je peux pas deviner, j'apprend sur linux

Déjà l'anglais n'est pas mon fort, obligé de traduire.....

(...)

Si j'avais sû dès le début

te bile pas, on va t'aider...

des fois c'est ch... ces histoires, on rame un peu c'est vrai.

Tu as essayé Kstars dessus ?

(au moins juste pour savoir si il tourne mieux)

Partager ce message


Lien à poster
Partager sur d’autres sites
te bile pas, on va t'aider...

des fois c'est ch... ces histoires, on rame un peu c'est vrai.

Tu as essayé Kstars dessus ?

(au moins juste pour savoir si il tourne mieux)

 

Ouais merci

Mais vu l'heure, j'avais prévu de faire ça demain ;)

Partager ce message


Lien à poster
Partager sur d’autres sites
Mais qu'est-ce que tu essaie de faire ? Casser ton système avec des ppa et drivers exotiques ?

Chez Intel tu n'as rien à installer, les drivers sont déjà dans le noyau, surtout pour un chipset graphique aussi vieux que le tiens.

 

En voyant les captures d'écran je me suis dit la même chose : "il va trop loin il va tout péter !".

 

Oublie les drivers Intel. Lors du passage à la version 0.13 j'avais aussi essayé de bidouiller mais rien a faire, la limite c'est la carte graphique elle-même, pas le driver (en tout cas pour moi, eeepc 1001, carte graphique Intel GMA 3150, toute petite config donc).

D'ailleurs si tu tapes inxi -F dans le terminal ça dit quoi ?

 

Les PPA activés pour Stellarium ne sont pas les bons, il faut décocher les stellarium-releases et cocher les stellarium-12-releases plus bas.

J'espère que ça marchera, car vu que tu as bidouillé du côté drivers d'autres problèmes peuvent surgir.

 

Pour une petite config on peut difficilement passer le cap de la 0.13. Personnellement je préfère avoir la 0.12 qui marche nickel qu'une version plus élevée horriblement lente (si déjà elle se lance...).

Il faut savoir que la branche 0.12 est toujours maintenue, les bugs résiduels sont corrigés rapidement. D'ailleurs j'avais rapporté le problème de recherche internet du plugin système solaire, et le développeur l'a corrigé en quelques heures seulement :

https://bugs.launchpad.net/stellarium/+bug/1678597

 

Et parfois ils ajoutent des fonctionnalités des versions ultérieures.

Partager ce message


Lien à poster
Partager sur d’autres sites

  • En ligne récemment   0 membre est en ligne

    Aucun utilisateur enregistré regarde cette page.